IBM Support

Details for WebSphere MQ V7 installation on IBM i 6.1

Troubleshooting


Problem

The prerequisites for WebSphere MQ V7 installation on IBM i 6.1

Resolving The Problem

IBM i 6.1 requires object conversion of WebSphere MQ programs and service programs (since these were built using older versions of the operating system).

You must do object conversion before applying any WebSphere MQ PTFs. To convert an existing WebSphere MQ installation use the IBM i command, STROBJCVN LIB(QMQM).

Alternatively, conversion can be requested when installing WebSphere MQ by specifying FRCOBJCVN(*YES *RQD) on the RSTLICPGM command.

For example:
RSTLICPGM LICPGM(5724H72) DEV(&DEV) OUTPUT(*PRINT) FRCOBJCVN(*YES)

To prevent slow performance resulting from automatic conversion upon first use of an unconverted object, you must also convert objects after applying any WebSphere MQ PTFs. Use command, STROBJCVN LIB(QMQM).

[{"Product":{"code":"SSFKSJ","label":"WebSphere MQ"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Install \/ Migration","Platform":[{"code":"PF012","label":"IBM i"}],"Version":"7.0","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Product Synonym

WMQ MQ

Document Information

Modified date:
15 June 2018

UID

swg21370280